Apache Tomcat 7.0.42

## org.apache.jasper
Class JasperException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.ServletException
                  org.apache.jasper.JasperException

All Implemented Interfaces:
  Serializable

    public class JasperException

extends ServletException

Base class for all exceptions generated by the JSP engine. Makes it convenient to catch just this at the top-level.

Author:
  Anil K. Vijendran
See Also:
  Serialized Form

Constructor Summary
`JasperException(String reason)`
`JasperException(String reason, Throwable exception)` Creates a JasperException with the embedded exception and the reason for throwing a JasperException
`JasperException(Throwable exception)` Creates a JasperException with the embedded exception

Method Summary

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JasperException

    public JasperException(String reason)

### JasperException

    public JasperException(String reason,
                           Throwable exception)

  Creates a JasperException with the embedded exception and the reason for throwing a JasperException

### JasperException

    public JasperException(Throwable exception)

  Creates a JasperException with the embedded exception

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.